Table of Contents

## Name

im_disp_ps - creates a displayable power spectrum of an one band image

## Synopsis

#include <vips/vips.h>

int im_disp_ps(in, out)
IMAGE *in, *out;

## Description

im_disp_ps() creates a displayable power spectrum of the image held by the image descriptor in. The resultant unsigned char image is written on the image descriptor out. Input should be one band image of any non-complex type.

The function finds the fourier transform of the input (if in is not complex) and then the amplitude power spectrum is created (im_c2ps(3X) ). The power spectrum is passed through a non-linear transformation (im_scaleps(3X) ). The final image has the four quadrants rotated in such a way that the coordinate (0,0) is near the centre of the image (im_rotquad(3X) ).

Input should be a square image with size power of 2. The maximum size of the input image is dictated by the available RAM.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_fwfft(3X) , im_c2ps(3X) , im_scaleps(3X) , im_rotquad(3X) , im_mmapin(3X) , im_openout(3X) , im_setbuf(3X) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 23/05/1991

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author